%define LIBTOOL_REQS %(rpm -q --quiet libtool-libs && echo ", libtool-libs" || echo ", libtool")

Summary:	encryption/decryption library
Name:		libmcrypt
Version:	2.5.7
Release:	3
License:	LGPL
Vendor:		Nikos Mavroyanopoulos <nmav@hellug.gr>
Packager:	Troels Arvin <troels@arvin.dk>
Group:		System Environment/Libraries
Source0:	ftp://mcrypt.hellug.gr/pub/crypto/mcrypt/libmcrypt/%{name}-%{version}.tar.gz
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	make
BuildRequires:	rpm >= 3.0.5
BuildRoot:      %{_tmppath}/%{name}-%{version}-root-%(id -u -n)
Requires:       rpm >= 3.0.5%{LIBTOOL_REQS}

%description
Libmcrypt is a thread-safe library providing a uniform interface
to access several block and stream encryption algorithms.

%package devel
Summary:	Header files and development documentation for libmcrypt
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Header files and development documentation for libmcrypt.

%prep
%setup -q

%build
autoconf
(cd libltdl; autoconf)
%configure \
	--enable-dynamic-loading \
	--enable-static \
	--disable-libltdl \
	--enable-shared
make

%install
rm -rf %{buildroot}

%makeinstall

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%dir %{_libdir}/libmcrypt
%attr(755,root,root) %{_libdir}/lib*.so*
%attr(755,root,root) %{_libdir}/libmcrypt/*.so
%doc AUTHORS ChangeLog COPYING.LIB INSTALL KNOWN-BUGS NEWS README THANKS TODO

%files devel
%defattr(644,root,root,755)
%doc doc/*
%attr(755,root,root) %{_bindir}/libmcrypt-config
%{_libdir}/lib*.a
%{_libdir}/libmcrypt/*.a
%attr(755,root,root) %{_libdir}/lib*.la
%attr(755,root,root) %{_libdir}/libmcrypt/*.la
%{_mandir}/man3/*
%{_includedir}/*.h
%{_datadir}/aclocal/*
